Bug 472718 - Thinkpad Ultranav keyboard' s touchpad not working with synaptics driver
Thinkpad Ultranav keyboard' s touchpad not working with synaptics driver
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-23 21:05 EST by Rui Matos
Modified: 2013-01-10 02:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-04 07:49:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 18679 None None None Never

  None (edit)
Description Rui Matos 2008-11-23 21:05:41 EST
[ I was going to file this upstream but since they are so insistent that only vanilla kernel bugs should be reported there, I'm reporting here ]

Basically my synaptics touchpad doesn't work, I had filed a bug at 

http://bugs.freedesktop.org/show_bug.cgi?id=18679

where Peter Hutterer told me:

"
The touchpad doesn't advertise itself as a touchpad. The synaptics driver
looks for ABS_X, ABS_Y, ABS_PRESSURE or BTN_TOUCH, and BTN_TOOL_FINGER. This
one just looks like a three-button mouse and we can't really do anything with
it.

You need to file a bug against the kernel, we can't do anything here.
"

More info on that freedesktop bugzilla URL.
Comment 1 Bug Zapper 2008-11-26 00:50:00 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Chuck Ebbert 2008-11-26 17:33:16 EST
It's probably an ALPS touchpad, not synaptics.
Comment 3 Rui Matos 2008-12-10 19:34:01 EST
It's really a synaptics touchpad.

Actually during a private email conversation with Vojtech Pavlik, Jiri Kosina and Peter Hutterer I was pointed to a kernel driver for these devices which unfortunatelly hasn't seen the love it deserves to be on Linus' tree. The driver can be found at

http://www.jan-steinhoff.de/linux/synaptics-usb.html

After compiling it with the following change (suggested by Jiri):

--- kconfig.h.orig	2008-11-30 00:21:10.000000000 +0100
+++ kconfig.h	2008-11-30 00:22:13.000000000 +0100
@@ -18,7 +18,7 @@
 /* support for /dev/usb/cpad* device */
 #define CONFIG_USB_CPADDEV
 /* uncomment the following to disable it */
-//#undef CONFIG_USB_CPADDEV
+#undef CONFIG_USB_CPADDEV
 
 /* enable debugging messages */
 #define DEBUG 1

and binding the device to this driver instead of the default usbhid, the X synaptics driver just works.

Sadly, without that patch the driver would crash the kernel.

So this is just another case of a not upstreamed yet driver, I think.
Comment 4 Bug Zapper 2009-11-18 03:56:55 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-11-04 07:40:50 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Rui Matos 2010-11-04 07:49:47 EDT
I'm closing this on the grounds that while the driver isn't upstream there is nothing on the Fedora side to do.

Note You need to log in before you can comment on or make changes to this bug.